<script>

$(function () {
	
	$('#indocin').datagrid({
		url : '<?php echo $url?>in/docin/get_docin',
		fit : true,
		fitColumns : true,
		striped : true,
		rownumbers : true,
		border : false,
		pagination : true,
	    pageSize:10,
	    pageList: [10, 20, 30,50], 
		toolbar : '#docin_tool',
        singleSelect:true,
		columns : [[
			{
				field : 'docin_id',
				title : '自动编号',
				width : 100,
				checkbox : true,
			},
			{
				field : 'docin_number',
				title : '入库单号',
				width : 100,
			},
			{
				field : 'docin_send_number',
				title : '送货单号',
				width : 100,
			},
			{
				field : 'docin_status',
				title : '入库单状态',
				width : 100,			
			},
			{
				field : 'docin_datetime',
				title : '时间',
				width : 100,				
			}										
		]]
	});



	docin_tool = {
		reload : function () {
			$('#indocin').datagrid('reload');
		},
		remove : function () {
			$('#indocin').datagrid('unselectAll');
		},
		<?php foreach ($button as $item): ?>
		<?php if($item->button_way=='look'){ ?>			
		look : function () {
			var rows = $('#indocin').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '编辑记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
   				if ($('#tabs').tabs('exists', '查看入库单')) {
					$('#tabs').tabs('select', '查看入库单');
				} else {
	 		      	$('#tabs').tabs('add', {
					title : '查看入库单',
					closable : true,
					href : '<?php echo $url?>in/docin/look_view/'+rows[0].docin_id,
					});
				}
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '编辑记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>		
		<?php if($item->button_way=='add'){ ?>					
		add : function () {
			if ($('#tabs').tabs('exists', '新增入库单')) {
				$('#tabs').tabs('select', '新增入库单');
			} else {
 		      	$('#tabs').tabs('add', {
				title : '新增入库单',
				closable : true,
				href : '<?php echo $url?>in/docin/add_view',
				});
			}
		},
		<?php }?>
		<?php if($item->button_way=='edit'){ ?>			
		edit : function () {
			var rows = $('#indocin').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '编辑记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				var status=rows[0].docin_status;
				if(status=='编辑'){
	   				if ($('#tabs').tabs('exists', '修改入库单')) {
						$('#tabs').tabs('select', '修改入库单');
					} else {
		 		      	$('#tabs').tabs('add', {
						title : '修改入库单',
						closable : true,
						href : '<?php echo $url?>in/docin/edit_view/'+rows[0].docin_id,
						});
					}
				}
				if(status=='审核'){
					$.messager.alert('警告操作！', '已经审核过了，不能修改！', 'warning');
				}
				if(status=='关闭'){
					$.messager.alert('警告操作！', '已经关闭，不能修改！', 'warning');
				}									
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '编辑记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>
		<?php if($item->button_way=='ok'){ ?>			
		ok : function () {
			var rows = $('#indocin').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '审核记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				var status=rows[0].docin_status;
				if(status=='编辑'){
					var data = {
							docin_id : rows[0].docin_id,
							docin_number : rows[0].docin_number,
							docin_send_number : rows[0].docin_send_number,
					};
										
					$.ajax({
						url : '<?php echo $url?>in/docin/docin_ok',
						type : 'post',
						data : data,
						beforeSend : function () {
							$.messager.progress({
								text : '正在提交中...',
							});
						},
						success : function (data, response, docin) {
							$.messager.progress('close');
							 var data = eval('(' + data + ')');     
//									console.log(data);
							if (data.success) {
								$('#indocin').datagrid('reload');
								$.messager.alert('操作成功！', data.message, 'info');					
							} else {
								$.messager.alert('操作失败！', data.message, 'warning');					
							}
						}
					});
				}
				if(status=='审核'){
					$.messager.alert('警告操作！', '已经审核过了，不能再审核！', 'warning');
				}
				if(status=='关闭'){
					$.messager.alert('警告操作！', '已经关闭过了，不能再审核！', 'warning');
				}									
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '审核记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>
		<?php if($item->button_way=='back'){ ?>			
		back : function () {
			var rows = $('#indocin').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '后退记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				var status=rows[0].docin_status;
				if(status=='编辑'){
					$.messager.alert('警告操作！', '编辑状态，不能再后退了！', 'warning');
				}
				if(status=='关闭'){
					$.messager.alert('警告操作！', '已经关闭过了，不能再后退！', 'warning');
				}						
				if(status=='审核'){

					var data = {
							docin_id : rows[0].docin_id,
					};
										
					$.ajax({
						url : '<?php echo $url?>in/docin/docin_back',
						type : 'post',
						data : data,
						beforeSend : function () {
							$.messager.progress({
								text : '正在提交中...',
							});
						},
						success : function (data, response, docin) {
							$.messager.progress('close');
							 var data = eval('(' + data + ')');     
//									console.log(data);
							if (data.success) {
								$('#indocin').datagrid('reload');
								$.messager.alert('操作成功！', data.message, 'info');					
							} else {
								$.messager.alert('操作失败！', data.message, 'warning');					
							}
						}
					});
					
				}				
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '后退记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>	
		<?php if($item->button_way=='no'){ ?>			
		no : function () {
			var rows = $('#indocin').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '关闭记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				var status=rows[0].docin_status;
				if(status=='关闭'){
					$.messager.alert('警告操作！', '已经关闭过了，不能再关闭！', 'warning');
				}else{
					var data = {
							docin_id : rows[0].docin_id,
							status : status
					};
					$.ajax({
						url : '<?php echo $url?>in/docin/docin_no',
						type : 'post',
						data : data,
						beforeSend : function () {
							$.messager.progress({
								text : '正在提交中...',
							});
						},
						success : function (data, response, docin) {
							$.messager.progress('close');
							 var data = eval('(' + data + ')');     
//									console.log(data);
							if (data.success) {
								$('#indocin').datagrid('reload');
								$.messager.alert('操作成功！', data.message, 'info');					
							} else {
								$.messager.alert('操作失败！', data.message, 'warning');					
							}
						}
					});					
				}						
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '关闭记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>
		<?php if($item->button_way=='print'){ ?>			
		print : function () {
			var rows = $('#indocin').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '打印记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				window.open("in/docin/docin_print/"+rows[0].docin_id);      
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '打印记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>												
	    <?php endforeach; ?>		
	};
	
});
function docinSearch(){
	$('#indocin').datagrid('load',{
		docin_number: $.trim($('input[name="docin_number"]').val()),
		docin_send_number: $.trim($('input[name="docin_send_number"]').val()),
		docin_date_from: $('input[name="docin_date_from"]').val(),
		docin_date_to: $('input[name="docin_date_to"]').val()
	});
}
</script>
<table id="indocin"></table>

<div id="docin_tool" style="padding:5px;">
	<div style="margin-bottom:5px;">
	<?php foreach ($button as $item): ?>
    	<a href="#" class="easyui-linkbutton" iconCls="icon-<?=$item->button_icon?>" plain="true" onclick="docin_tool.<?=$item->button_way ?>()"><?php echo $item->button_name?></a>
    <?php endforeach; ?>
		<a href="#" class="easyui-linkbutton" iconCls="icon-reload" plain="true"  onclick="docin_tool.reload();">刷新</a>
		<a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="docin_tool.remove();">取消选择</a>		
	</div>
	<div style="padding:0 0 0 7px;color:#333;">
		入库单号：<input type="text" class="textbox" name="docin_number" style="width:110px">
		送货单号：<input type="text" class="textbox" name="docin_send_number" style="width:110px">
		　创建时间从：<input type="text" name="docin_date_from" class="easyui-datebox" editable="false" style="width:110px">
		到：<input type="text" name="docin_date_to" class="easyui-datebox" editable="false" style="width:110px">
		<a href="#" class="easyui-linkbutton" iconCls="icon-search" onclick="docinSearch();">查询</a>
	</div>	
</div>

<form id="indocin_look" style="margin:0;padding:3px;color:#333;">
	<table id="indocin_lproperty" style="width:330px"></table>
</form>

<form id="indocin_add" style="margin:0;padding:3px;color:#333;">
	<table id="indocin_aproperty" style="width:330px"></table>
</form>


<form id="indocin_edit" style="margin:0;padding:3px;color:#333;">
		<table id="indocin_eproperty" style="width:330px"></table>
</form>

